Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.runtime
Class JDBCFetchConfiguration

    java.lang.Object
      kodo.runtime.FetchConfiguration
          kodo.jdbc.runtime.JDBCFetchConfiguration

All Implemented Interfaces:
  Serializable, Cloneable, org.apache.openjpa.jdbc.kernel.LRSSizes, org.apache.openjpa.jdbc.sql.JoinSyntaxes, org.apache.openjpa.kernel.LockLevels, org.apache.openjpa.kernel.QueryFlushModes

Deprecated.

    public class JDBCFetchConfiguration

extends FetchConfiguration
implements org.apache.openjpa.jdbc.kernel.LRSSizes, org.apache.openjpa.jdbc.sql.JoinSyntaxes

A Kodo 3.x backwards-compatible interface to fetch configuration.

See Also:
  Serialized Form

Field Summary
`static int` | `JOIN_SYNTAX_DATABASE` Deprecated.
`static int` | `JOIN_SYNTAX_SQL92` Deprecated.
`static int` | `JOIN_SYNTAX_TRADITIONAL` Deprecated.

Fields inherited from class kodo.runtime.FetchConfiguration
`DEFAULT, EAGER_FETCH_MULTIPLE, EAGER_FETCH_NONE, EAGER_FETCH_SINGLE, EAGER_JOIN, EAGER_NONE, EAGER_PARALLEL, FETCH_GROUP_ALL, FETCH_GROUP_DEFAULT, QUERY_FLUSH_FALSE, QUERY_FLUSH_TRUE, QUERY_FLUSH_WITH_CONNECTION`

Fields inherited from interface org.apache.openjpa.jdbc.kernel.LRSSizes
`SIZE_LAST, SIZE_QUERY, SIZE_UNKNOWN`

Fields inherited from interface org.apache.openjpa.jdbc.sql.JoinSyntaxes
`SYNTAX_DATABASE, SYNTAX_SQL92, SYNTAX_TRADITIONAL`

Fields inherited from interface org.apache.openjpa.kernel.LockLevels
`LOCK_NONE, LOCK_READ, LOCK_WRITE`

Fields inherited from interface org.apache.openjpa.kernel.QueryFlushModes
`FLUSH_FALSE, FLUSH_TRUE, FLUSH_WITH_CONNECTION`

Constructor Summary
`JDBCFetchConfiguration(KodoPersistenceManager pm, org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch)` Deprecated.

Method Summary
`Object` | `clone()` Deprecated.
`int` | `getEagerFetchMode()` Deprecated.
`int` | `getFetchDirection()` Deprecated.
`int` | `getJoinSyntax()` Deprecated.
`int` | `getLRSSize()` Deprecated.
`int` | `getResultSetType()` Deprecated.
`int` | `getSubclassFetchMode()` Deprecated.
`void` | `setEagerFetchMode(int mode)` Deprecated.
`void` | `setFetchDirection(int direction)` Deprecated.
`void` | `setJoinSyntax(int syntax)` Deprecated.
`void` | `setLRSSize(int lrsSize)` Deprecated.
`void` | `setResultSetType(int type)` Deprecated.
`void` | `setSubclassFetchMode(int mode)` Deprecated.

Methods inherited from class kodo.runtime.FetchConfiguration
`addFetchGroup, addFetchGroups, addFetchGroups, addField, addField, addFields, addFields, addFields, addFields, clearFetchGroups, clearFields, getFetchBatchSize, getFetchGroups, getFields, getFlushBeforeQueries, getLockTimeout, getPersistenceManager, getReadLockLevel, getWriteLockLevel, hasFetchGroup, hasField, hasField, isQueryCacheEnabled, removeFetchGroup, removeFetchGroups, removeFetchGroups, removeField, removeField, removeFields, removeFields, removeFields, removeFields, resetFetchGroups, setFetchBatchSize, setFlushBeforeQueries, setLockTimeout, setQueryCacheEnabled, setReadLockLevel, setWriteLockLevel`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JOIN_SYNTAX_SQL92

    public static final int JOIN_SYNTAX_SQL92

  Deprecated.
  See Also:
    Constant Field Values

### JOIN_SYNTAX_TRADITIONAL

    public static final int JOIN_SYNTAX_TRADITIONAL

  Deprecated.
  See Also:
    Constant Field Values

### JOIN_SYNTAX_DATABASE

    public static final int JOIN_SYNTAX_DATABASE

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### JDBCFetchConfiguration

    public JDBCFetchConfiguration(KodoPersistenceManager pm,
                                  org.apache.openjpa.jdbc.kernel.JDBCFetchConfiguration fetch)

  Deprecated.

Method Detail

### getEagerFetchMode

    public int getEagerFetchMode()

  Deprecated.
  Overrides:
    `getEagerFetchMode` in class `FetchConfiguration`

### setEagerFetchMode

    public void setEagerFetchMode(int mode)

  Deprecated.
  Overrides:
    `setEagerFetchMode` in class `FetchConfiguration`

### getSubclassFetchMode

    public int getSubclassFetchMode()

  Deprecated.
  Overrides:
    `getSubclassFetchMode` in class `FetchConfiguration`

### setSubclassFetchMode

    public void setSubclassFetchMode(int mode)

  Deprecated.
  Overrides:
    `setSubclassFetchMode` in class `FetchConfiguration`

### getResultSetType

    public int getResultSetType()

  Deprecated.

### setResultSetType

    public void setResultSetType(int type)

  Deprecated.

### getFetchDirection

    public int getFetchDirection()

  Deprecated.

### setFetchDirection

    public void setFetchDirection(int direction)

  Deprecated.

### getLRSSize

    public int getLRSSize()

  Deprecated.

### setLRSSize

    public void setLRSSize(int lrsSize)

  Deprecated.

### getJoinSyntax

    public int getJoinSyntax()

  Deprecated.

### setJoinSyntax

    public void setJoinSyntax(int syntax)

  Deprecated.

### clone

    public Object clone()

  Deprecated.
  Overrides:
    `clone` in class `FetchConfiguration`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.